version: '3.1'

services:

#  db:
#    image: mariadb
#    restart: always
#    environment:
#      MYSQL_ROOT_PASSWORD: photos
#      PHOTOS_DB_USER: photos
#      PHOTOS_DB_PASSWD: ph0t0z
#      PHOTOS_DB: photos
#    volumes:
#      - ${PWD}/db:/var/lib/mysql
#      - ./init.sql:/data/application/init.sql

  photos:
    user: ${USER_ID}
    build: .
    image: photos:latest
    container_name: photos
 #   depends_on:
 #     - db
    restart: always
    ports:
      - 8123:8123
    volumes:
      - ${PWD}/photos:/photos
      - ${PWD}/db:/db
      - ${PWD}:/website
